Description

Until now, we are downloading /ca.crt file from RHEV/oVirt. From version 3.4+ new endpoint is available

(/ovirt-engine/services/pki-resource?resource=ca-certificate&format=X509-PEM-CA HTTP GET) and the old one will be deprecated.

Related issues:

Related to Foreman - Feature #16317: Download oVirt/RHEL CA cert from HTTP ha... New 08/26/2016

Associated revisions

Revision bf416ab2 - 05/26/2016 10:15 AM - Lukas Zapletal

Fixes #15163 - use new oVirt CA cert endpoint

History

#1 - 05/24/2016 10:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3548 added

#2 - 05/26/2016 11:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bf416ab295d345352dbc8f8e19607d08f9e4efad.

#3 - 05/27/2016 04:46 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#4 - 08/25/2016 08:41 AM - Ohad Levy

- Bugzilla link set to 1370169

#5 - 08/26/2016 03:49 AM - Juan Hernández

Please take into account that both the old and new endpoints return the certificate of the CA that was created when the RHV/oVirt engine was

installed. But the RHV/oVirt administrator may later replace the certificates, specially the web server certificate, see [1]. If that happens the CA

certificate obtained from those endpoints won't work to connect to the engine. I'd suggest that you take the certificate directly from the SSL

handshake, that will always work.

[1] 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Administration_Guide/appe-Red_Hat_Enterprise_Virtuali

zation_and_SSL.html)

#6 - 08/26/2016 04:15 AM - Lukas Zapletal

- Related to Feature #16317: Download oVirt/RHEL CA cert from HTTP handshake rather than from API added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/bf416ab295d345352dbc8f8e19607d08f9e4efad
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Administration_Guide/appe-Red_Hat_Enterprise_Virtualization_and_SSL.html
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Administration_Guide/appe-Red_Hat_Enterprise_Virtualization_and_SSL.html


#7 - 08/26/2016 04:16 AM - Lukas Zapletal

Thanks, created ticket for that.

#8 - 09/06/2016 10:01 AM - Daniel Lobato Garcia

- Target version set to 1.6.2

#9 - 11/04/2016 12:46 PM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.5.2
